Name: H5Pset_btree_ratios
Signature:
  herr_t `H5Pset_btree_ratios`(hid_t `plist`, double `left`, double `middle`, double `right` )
Purpose:
  Sets B-tree split ratios for a dataset transfer property list.
Description:
  `H5Pset_btree_ratios` sets the B-tree split ratios for a dataset transfer property list. The split ratios determine what percent of children go in the first node when a node splits.

  The ratio `left` is used when the splitting node is the left-most node at its level in the tree; the ratio `right` is used when the splitting node is the right-most node at its level; and the ratio `middle` is used for all other cases.

  A node which is the only node at its level in the tree uses the ratio `right` when it splits.

  All ratios are real numbers between 0 and 1, inclusive.

Parameters:

hid_t `plist` | IN: The dataset transfer property list identifier.
double `left` | IN: The B-tree split ratio for left-most nodes.
double `right` | IN: The B-tree split ratio for right-most nodes and lone nodes.
double `middle` | IN: The B-tree split ratio for all other nodes.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5pset_btree_ratios_f

      SUBROUTINE h5pset_btree_ratios_f(prp_id, left, middle, right, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: prp_id
                                        ! Property list identifier
        REAL, INTENT(IN) :: left        ! The B-tree split ratio for left-most nodes
        REAL, INTENT(IN) :: middle      ! The B-tree split ratio for all other nodes
        REAL, INTENT(IN) :: right       ! The B-tree split ratio for right-most
                                        ! nodes and lone nodes.
        INTEGER, INTENT(OUT) :: hdferr  ! Error code
                                        ! 0 on success and -1 on failure
      END SUBROUTINE h5pset_btree_ratios_f